import type { CSSProperties } from 'react';
export interface ComponentToken {
    /**
     * @desc 选择器宽度
     * @descEN Width of Cascader
     */
    controlWidth: number;
    /**
     * @desc 选项宽度
     * @descEN Width of item
     */
    controlItemWidth: number;
    /**
     * @desc 下拉菜单高度
     * @descEN Height of dropdown
     */
    dropdownHeight: number;
    /**
     * @desc 选项选中时背景色
     * @descEN Background color of selected item
     */
    optionSelectedBg: string;
    /**
     * @desc 选项选中时字重
     * @descEN Font weight of selected item
     */
    optionSelectedFontWeight: CSSProperties['fontWeight'];
    /**
     * @desc 选项内间距
     * @descEN Padding of menu item
     */
    optionPadding: CSSProperties['padding'];
    /**
     * @desc 选项菜单（单列）内间距
     * @descEN Padding of menu item (single column)
     */
    menuPadding: CSSProperties['padding'];
}
declare const _default: (prefixCls: string) => import("../../theme/interface").UseComponentStyleResult;
export default _default;
